# Update Customer Account Update some simple fields on the customer account such as name and phone number. Endpoint: PUT /v2/customer Version: v2 Security: ApiKeySecurityScheme, CustomerAppScopeSecurityScheme, CustomerTokenSecurityScheme ## Header parameters: - `x-md-api-version` (string, required) Enum: "4" - `x-bite-org-id` (string, required) The org ID you are working with. - `x-bite-order-channel` (string, required) The order channel you are working with. Enum: "catering", "flash", "kiosk", "linebuster", "web" ## Request fields (application/json): - `firstName` (string) The customer's first name. - `lastName` (string) The customer's last name. - `phoneNumber` (string) The customer's phone number. Must be a valid phone number under the North American Numbering Plan. Must be formatted as a string of 10 digits. ## Response 200 fields (application/json): - `customer` (object, required) - `customer._id` (string, required) Customer ID - `customer.state` (integer, required) The state of the customer account: * 0 - Unverified * 1 - Enabled * 2 - Disabled * 3 - Deleted - `customer.email` (string, required) The email addressed used when the customer signed up for an account. Must a valid RFC email address. - `customer.scope` (string, required) The brand's account scope. Example: "my-brand-scope" - `customer.firstName` (string, required) The customer's first name. - `customer.lastName` (string, required) The customer's last name. - `customer.phoneNumber` (string) The customer's phone number. Must be a valid phone number under the North American Numbering Plan. Must be formatted as a string of 10 digits. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields